package utils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.Part;
import java.io.File;
import java.util.Properties;
import java.util.UUID;

public class UploadFile {
    //返回上传文件的名字
    public static  String getFileName(HttpServletRequest request,String filedName){
        //得到上传文件开始
        String pic = "";
        try{
            Part file = request.getPart(filedName);
            System.out.println(file);
            String fileName = file.getSubmittedFileName();
            if(fileName != ""){
                String ext      = fileName.substring(fileName.lastIndexOf("."));
                // String filePath = request.getServletContext().getRealPath("/")+"upload";
                //从配置文件读取目录
                Properties props = PropertiesGet.getResult("/config.properties");
                String filePath = props.getProperty("uploads");
                File uploadDir = new File(filePath);
                if(!uploadDir.exists()){
                    uploadDir.mkdirs();
                }
                pic = UUID.randomUUID().toString() + ext; //上传文件后的文件名
                String fileUploadPath = filePath + File.separator + pic;
                file.write(fileUploadPath);
            }
        }
        catch (Exception e){
            System.out.println(e.getMessage());
        }
        return pic;
    }
}
